Lavalite package that provides advertisement management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `shopping/advertisement`.

    "shopping/advertisement": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Shopping\Advertisement\Providers\AdvertisementServiceProvider::class,

And also add it to alias

    'Advertisement'  => Shopping\Advertisement\Facades\Advertisement::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Shopping\\AdvertisementTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Shopping\Advertisement\Providers\AdvertisementServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Shopping\Advertisement\Providers\AdvertisementServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Shopping\Advertisement\Providers\AdvertisementServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/advertisement/{modulename}

**User**

    http://path-to-route-folder/user/advertisement/{modulename}

**Public**

    http://path-to-route-folder/advertisements


### API endpoints

**List**

    http://path-to-route-folder/api/user/advertisement/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/advertisement/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/advertisement/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/advertisement/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/advertisement/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/advertisement/{modulename}/{slug}
    METHOD: GET