<?php

// web routes  for advertisement
Route::prefix('{guard}/advertisement')->group(function () {
    Route::resource('advertisement', 'AdvertisementResourceController');
});

// Public routes for advertisement
Route::get('advertisements/', 'AdvertisementPublicController@index');
Route::get('advertisements/{slug?}', 'AdvertisementPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'AdvertisementResourceController');
            });
            // Public routes for pages
            Route::get('advertisements/', 'AdvertisementPublicController@index');
            Route::get('advertisements/{slug?}', 'AdvertisementPublicController@show');
        }
    );
}

