<?php

namespace Shopping\Advertisement;

use User;

class Advertisement
{
    /**
     * $advertisement object.
     */
    protected $advertisement;

    /**
     * Constructor.
     */
    public function __construct(\Shopping\Advertisement\Interfaces\AdvertisementRepositoryInterface $advertisement)
    {
        $this->advertisement = $advertisement;
    }

    /**
     * Returns count of advertisement.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.advertisement.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->advertisement->pushCriteria(new \Litepie\Shopping\Repositories\Criteria\AdvertisementUserCriteria());
        }

        $advertisement = $this->advertisement->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('advertisement::' . $view, compact('advertisement'))->render();
    }
}
