<?php

namespace Shopping\Advertisement\Forms;

class Advertisement
{
    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $form;

    /**
     * Variable to store form configuration.
     *
     * @var collection
     */
    protected $element;

    /**
     * Initialize the form.
     *
     * @return null
     */
    public function __construct()
    {
        $this->setForm();
    }

    /**
     * Return form elements.
     *
     * @return array.
     */
    public function form($element = 'fields', $grouped = true)
    {
        $item = collect($this->form->get($element));
        if ($element == 'fields' && $grouped == true) {
            return $item->groupBy(['group', 'section']);
        }
        return $item;

    }

    /**
     * Sets the form and form elements.
     * @return null.
     */
    public function setForm()
    {
        $this->form = collect([
            'form' => [
                'store' => [],
                'update' => [],
            ],
            'groups' => [
                'main' => 'Main',
            ],
            'fields' => [
                'url' => [
                    "type" => 'text',
                    "label" => trans('advertisement::advertisement.label.url'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.url'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'order' => [
                    "type" => 'numeric',
                    "label" => trans('advertisement::advertisement.label.order'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.order'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'image' => [
                    "type" => 'text',
                    "label" => trans('advertisement::advertisement.label.image'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.image'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'status' => [
                    "type" => 'select',
                    "label" => trans('advertisement::advertisement.label.status'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.status'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'home_page' => [
                    "type" => 'checkboxes',
                    "label" => trans('advertisement::advertisement.label.home_page'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.home_page'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'inner_page' => [
                    "type" => 'checkboxes',
                    "label" => trans('advertisement::advertisement.label.inner_page'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.inner_page'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'left' => [
                    "type" => 'checkboxes',
                    "label" => trans('advertisement::advertisement.label.left'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.left'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
                'right' => [
                    "type" => 'checkboxes',
                    "label" => trans('advertisement::advertisement.label.right'),
                    "placeholder" => trans('advertisement::advertisement.placeholder.right'),
                    "rules" => '',
                    "group" => "main",
                    "section" => "first",
                    "attributes" => [
                        'wrapper' => [],
                        "label" => [],
                        "input" => [],

                    ],
                ],
            ]
        );

    }
}
